Package org.springframework.http

# Interface ReactiveHttpInputMessage

All Superinterfaces:
  `HttpMessage`

All Known Subinterfaces:
  `ClientHttpResponse`, `ServerHttpRequest`

All Known Implementing Classes:
  `AbstractClientHttpResponse`, `AbstractServerHttpRequest`, `ClientHttpResponseDecorator`, `ServerHttpRequestDecorator`

public interface ReactiveHttpInputMessage extends HttpMessage
A "reactive" HTTP input message that exposes the input as `Publisher`.

Typically implemented by an HTTP request on the server-side or a response on the client-side.

Since:
  5.0
Author:
  Arjen Poutsma

## Method Summary

Modifier and Type
Method
Description
`reactor.core.publisher.Flux<org.springframework.core.io.buffer.DataBuffer>`
`getBody()`
Return the body of the message as a `Publisher`.

### Methods inherited from interface org.springframework.http.HttpMessage

`getHeaders`

## Method Details

### getBody

reactor.core.publisher.Flux<org.springframework.core.io.buffer.DataBuffer> getBody()
Return the body of the message as a `Publisher`.

Returns:
  the body content publisher